Bug 871103 - webadmin [TEXT]: edit of vm without assigned quota will give VM name as 'VM ${VmName}' in error
webadmin [TEXT]: edit of vm without assigned quota will give VM name as 'VM $...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
high Severity medium
: ---
: 3.2.0
Assigned To: Gilad Chaplik
Dafna Ron
sla
:
Depends On:
Blocks: 889791 915537
  Show dependency treegraph
 
Reported: 2012-10-29 11:58 EDT by Dafna Ron
Modified: 2016-02-10 15:17 EST (History)
9 users (show)

See Also:
Fixed In Version: sf2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 889791 (view as bug list)
Environment:
Last Closed: 2013-06-11 05:19:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screen shot (44.91 KB, image/jpeg)
2012-10-29 11:58 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-10-29 11:58:12 EDT
Created attachment 635076 [details]
screen shot

Description of problem:

I had an existing vm (pre-quota)
after moving quota to enforce and adding a quota I tried to edit the vm memory and got this error: 

Cannot edit VM. The quota associated with VM ${VmName} is no longer available. This may be a result of an import or snapshot restoring actions. Please reassign a quota to this VM.

Version-Release number of selected component (if applicable):

si22.1

How reproducible:

100%


Steps to Reproduce:
1. create a vm while quota is disabled 
2. move quota to enforce and create a quota object
3. edit the vm -> change memory
  
Actual results:

vm name is presented as VM ${VmName}

Expected results:

we should show vm's name

Additional info:screen shot
Comment 3 Dafna Ron 2012-12-27 08:09:25 EST
verified on sf2 - we cannot save changes (quota field cannot be empty).
Comment 4 Itamar Heim 2013-06-11 05:19:00 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 05:42:41 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.